FBI errors with New 3ds xl Downgraded from 10.3

Discussion in '3DS - Homebrew Development and Emulators' started by tornadog, Jan 5, 2016.

  1. tornadog
    OP

    tornadog GBAtemp Regular

    Member
    120
    13
    Mar 28, 2007
    United States
    I got everything setup with rxtools, menuhax to boot the ctrbootmanager. When I hit fbi it just gets stuck on "loading file list". I read somewhere to try an older version of fbi. So I injected that into the h&s app and now fbi works fine. But when I try to install a cia of a 3ds game, it goes through th eprocess to 100% and then says invalid signature error. I had created the cias ealier using the xorpads generated on my 2ds. Is that the problem. Do I need to create new xorpads on this 3ds using the ncchinfo.bin file?
     
  2. driverdis

    driverdis I am Justice

    Member
    2,383
    901
    Sep 21, 2011
    United States
    1.048596β
    use RxTools devmode (under advanced settings) to boot menuhax (hold button after selecting devmode) then install the latest FBI CIA using the 3DSX build (boot it via ctrmanager). this will install the latest FBI correctly, as without RxTools, the 3DSX build can only install stuff with valid signatures. you could also try installing a CIA using the older FBI build using devmode instead of RXMode.
     
  3. tornadog
    OP

    tornadog GBAtemp Regular

    Member
    120
    13
    Mar 28, 2007
    United States
    where do I get this 3dsx build? I am not sure I understand.
     
  4. driverdis

    driverdis I am Justice

    Member
    2,383
    901
    Sep 21, 2011
    United States
    1.048596β
    it is bundled with the latest download of FBI,It is in the zip. What you want to do is boot RxTools via ctrbootmanager , choose devmode from advanced tab on RxTools menu, then hold the button to get to ctrbootmanager. Now that your at are boot manager, boot FBI using it then install the CIA for FBI. You can also install other CIAs with it as it is running with patched signature checks thanks to RxTools. It may take a few times to get this to work.
     
  5. jaksy

    jaksy GBAtemp Advanced Fan

    Member
    551
    197
    Jun 10, 2014
    United States
    If you don't have themehax setup in emunand this might require booting into the HBmenu/ctrbootmanager through another entrypoint in emunand.

    Edit: Oh my mistake you are talking about installing it from devmode not emunand.

    Correct me if I'm wrong, but wouldn't this install FBI in sysnand only able to run in elevated sysnand or devmode and not install it to emunand?
     
    Last edited by jaksy, Jan 5, 2016
  6. tornadog
    OP

    tornadog GBAtemp Regular

    Member
    120
    13
    Mar 28, 2007
    United States
    I have menuhax set to autoboot to ctrmanager, unless I press the right trigger to intercept, so I just set to dev/pasta mode and then when the bootmanager loads install fbi.3ds and go?

    edit: how do I install the fbi.3ds file. It only shows 3dsx files when I go to the file browser.

    — Posts automatically merged - Please don't double post! —

    yes it looks like it installed to the sysnand. How do I get it in the emunand?
     
    Last edited by tornadog, Jan 5, 2016
  7. jaksy

    jaksy GBAtemp Advanced Fan

    Member
    551
    197
    Jun 10, 2014
    United States
    You'd just have to boot into the HBmenu/ctrbootmanager from emunand and install FBI.cia through the FBI.3dsx there.
     
  8. tornadog
    OP

    tornadog GBAtemp Regular

    Member
    120
    13
    Mar 28, 2007
    United States
    rename fbi.3ds to fbi.3dsx?
     
  9. jaksy

    jaksy GBAtemp Advanced Fan

    Member
    551
    197
    Jun 10, 2014
    United States
    the 3dsx and smdh files are the two files in the /3ds/FBI folder that launches the app in the HBmenu or CTRbootmanager.
    They should have been what you used to install it to sysnand in devmode I imagine, if not they are in the fbi zip when you download it.
     
  10. tornadog
    OP

    tornadog GBAtemp Regular

    Member
    120
    13
    Mar 28, 2007
    United States
    Oh so dumb of me. I forgot the hb files are 3dsx. Let me try that.

    Did not work got an error. How do I get into devmode when I am on emunand?
     
    Last edited by tornadog, Jan 5, 2016
  11. jaksy

    jaksy GBAtemp Advanced Fan

    Member
    551
    197
    Jun 10, 2014
    United States
    What error?
    I believe devmode is just a more restricted booting of elevated sysnand, so you can't.
    If that's not working you can try using an injected version of FBI from emunand to install a newer version of fbi with a cia or BBM.cia(BigBlueMenu another cia manager with better DLC support than FBI), though some N3ds users were saying injection was buggy/unsupported in rxtools for them, and you seem to already be having issues with an old injected FBI version.

    I've heard n3ds users working around their injection issues with the following tutorial.
    https://gbatemp.net/threads/release-inject-any-app-into-health-safety-o3ds-n3ds-cfw-only.402236/

    You could try injecting a newer version of FBI or even BBM.

    But running FBI from the HB menu that you booted to from emunand SHOULD install cia just fine, including bbm or fbi cia files.
     
    Last edited by jaksy, Jan 5, 2016
  12. tornadog
    OP

    tornadog GBAtemp Regular

    Member
    120
    13
    Mar 28, 2007
    United States
    I got the same error that you get when you run FBI installer without running pasta mode in sysnand
     
  13. jaksy

    jaksy GBAtemp Advanced Fan

    Member
    551
    197
    Jun 10, 2014
    United States
    And you're using the current FBI version from github, not that weird legit cia 10.3 fbi reddit version that was floating around a few days ago?

    Well then I'd look into injecting a newer version of FBI or BBM over the H&S applet in emunand like I said.
     
  14. tornadog
    OP

    tornadog GBAtemp Regular

    Member
    120
    13
    Mar 28, 2007
    United States
    I finally got it working. I injected the previous version and now am able to install cia. Xenoblade won't install for some reason though
     
  15. jaksy

    jaksy GBAtemp Advanced Fan

    Member
    551
    197
    Jun 10, 2014
    United States
    Install the BBM.cia as well and try it through that.
    Like I said BBM offers support on some cia files that FBI has trouble with. I definitely perfer FBI overall, but BBM is a good tool to have.

    It also could be because you are low on space, you may need twice the game size to install it.
     
  16. iluvfuzz

    iluvfuzz GBAtemp Regular

    Member
    101
    8
    Apr 23, 2012
    United States
    United States
    I thought you couldn't downgrade 10.3..? I'm confused.
     
  17. jaksy

    jaksy GBAtemp Advanced Fan

    Member
    551
    197
    Jun 10, 2014
    United States
    You can. I wish the "legit cia on 10.3" thread would change it's title to mention this, as I'm sure many people see that thread first.
     
  18. tornadog
    OP

    tornadog GBAtemp Regular

    Member
    120
    13
    Mar 28, 2007
    United States
    I definitely have the space. I will give bbm a try next.

    Is bbm not updated anymore. The link I found is from last year January!
     
    Last edited by tornadog, Jan 6, 2016
  19. tornadog
    OP

    tornadog GBAtemp Regular

    Member
    120
    13
    Mar 28, 2007
    United States
    The issue turned out to be the Xenoblades cia. I found another cia of the game and it worked perfectly. I also managed to install the latest fbi.cia from the fbi injected h&s app. The new fbi installs games much faster than either bbm or the old fbi.